Loading...
Searching...
No Matches
Opm::ForchheimerBaseProblem< TypeTag > Class Template Reference

Provides the defaults for the parameters required by the Forchheimer velocity approach. More...

`#include <forchheimerfluxmodule.hh>`

## Public Member Functions

template<class Context>
Scalar | ergunCoefficient (const Context &, unsigned, unsigned) const
| Returns the Ergun coefficient.
template<class Context>
Evaluation | mobilityPassabilityRatio (Context &context, unsigned spaceIdx, unsigned timeIdx, unsigned phaseIdx) const
| Returns the ratio between the phase mobility and its passability for a given fluid phase .

## Detailed Description

template<class TypeTag>
class Opm::ForchheimerBaseProblem< TypeTag >

Provides the defaults for the parameters required by the Forchheimer velocity approach.

## Member Function Documentation

## ergunCoefficient()

template<class TypeTag>
template<class Context>

Scalar Opm::ForchheimerBaseProblem< TypeTag >::ergunCoefficient | ( | const Context & | ,
|  | unsigned | ,
|  | unsigned | ) const

inline

Returns the Ergun coefficient.

The Ergun coefficient is a measure how much the velocity is reduced by turbolence. It is a quantity that does not depend on the fluid phase but only on the porous medium in question. A value of 0 means that the velocity is not influenced by turbolence.

## mobilityPassabilityRatio()

template<class TypeTag>
template<class Context>

Evaluation Opm::ForchheimerBaseProblem< TypeTag >::mobilityPassabilityRatio | ( | Context & | context,
|  | unsigned | spaceIdx,
|  | unsigned | timeIdx,
|  | unsigned | phaseIdx ) const

inline

Returns the ratio between the phase mobility and its passability for a given fluid phase .

The passability coefficient specifies the influence of the other fluid phases on the turbolent behaviour of a given fluid phase. By default it is equal to the relative permeability. The mobility to passability ratio is the inverse of phase' the viscosity.

The documentation for this class was generated from the following file:

- opm/models/common/forchheimerfluxmodule.hh